from django.contrib import admin

from .models import Schedule

# Register your models here.
@admin.register(Schedule)
class ScheduleAdmin(admin.ModelAdmin):
    list_display    = ('name', 'employee', 'email', 'created_at', 'processed')
    ordering        = ('name', 'created_at')
    search_fields   = ('name', 'email')

    def processed(self,obj):
        return len(obj.output_peregrine) > 0

    processed.boolean = True
